<%@ taglib uri="webwork" prefix="webwork" %>
<table id="filter_type_table" width="99%" cellspacing="0" cellpadding="2" border="0" align="center">
    <tr>
        <td class="pageTab">
            <webwork:text name="'filters.filters'"/>&nbsp;
        </td>
        <!--TODO: put the showProjects parameter on all links here, depending on the existing value -->
        <webwork:if test="tabShowing('favourites') == true">
            <webwork:if test="filterView == 'favourites'">
                <td class="pageTabSelected">&nbsp;<webwork:text name="'common.favourites.favourites'"/>&nbsp;</td>
            </webwork:if>
            <webwork:else>
                <td class="pageTab">&nbsp;<a href="<%= request.getContextPath() %>/secure/FilterPickerPopup.jspa?filterView=favourites&field=<webwork:property value="/field"/>&showProjects=<webwork:property value="/showProjects"/>"><webwork:text name="'common.favourites.favourites'"/><a/>&nbsp;</td>
            </webwork:else>
        </webwork:if>
        <!--// Popular and Search is not available on Standard JIRA and only if some one is logged in -->
        <webwork:if test="tabShowing('popular') == true">
            <webwork:if test="filterView == 'popular'">
                <td class="pageTabSelected">&nbsp;<webwork:text name="'common.concepts.popular'"/>&nbsp;</td>
            </webwork:if>
            <webwork:else>
                <td class="pageTab">&nbsp;<a href="<%= request.getContextPath() %>/secure/FilterPickerPopup.jspa?filterView=popular&field=<webwork:property value="/field"/>&showProjects=<webwork:property value="/showProjects"/>"><webwork:text name="'common.concepts.popular'"/><a/>&nbsp;</td>
            </webwork:else>
        </webwork:if>
        <webwork:if test="tabShowing('search') == true">
            <webwork:if test="filterView == 'search'">
                <td class="pageTabSelected">&nbsp;<webwork:text name="'common.concepts.search'"/>&nbsp;</td>
            </webwork:if>
            <webwork:else>
                <td class="pageTab">&nbsp;<a href="<%= request.getContextPath() %>/secure/FilterPickerPopup.jspa?filterView=search&field=<webwork:property value="/field"/>&showProjects=<webwork:property value="/showProjects"/>"><webwork:text name="'common.concepts.search'"/><a/>&nbsp;</td>
            </webwork:else>
        </webwork:if>
        <webwork:if test="tabShowing('projects') == true">
            <webwork:if test="/filterView == 'projects'">
                <td class="pageTabSelected">&nbsp;<webwork:text name="'common.concepts.projects'"/>&nbsp;</td>
            </webwork:if>
            <webwork:else>
                <td class="pageTab">&nbsp;<a href="<%= request.getContextPath() %>/secure/FilterPickerPopup.jspa?showProjects=true&filterView=projects&field=<webwork:property value="/field"/>"><webwork:text name="'common.concepts.projects'"/><a/>&nbsp;</td>
            </webwork:else>
        </webwork:if>
        <td width="100%">
            &nbsp;
        </td>
    </tr>
</table>
