<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%
    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    webResourceManager.requireResource("jira.webresources:yui");
    webResourceManager.requireResource("jira.webresources:ajax-favourite-control");
%>
<div id="fav_new_enabled_div_<webwork:property value="parameters['fieldId']"/>" <webwork:if test="parameters['enabled'] != 'true'">style="display:none"</webwork:if>>
    <a id="fav_new_enabled_a_<webwork:property value="parameters['fieldId']" />"><img id="fav_new_enabled_img_<webwork:property value="parameters['fieldId']" />"
                src="<%= request.getContextPath() %>/images/icons/star_yellow.gif"
                alt="<webwork:text name="'common.favourites.enabled.' +  parameters['entityType']"/>"
                title="<webwork:text name="'common.favourites.enabled.' +  parameters['entityType']"/>"
                height="16px"
                width="16px"/>
    </a>
</div>
<div id="fav_new_disabled_div_<webwork:property value="parameters['fieldId']"/>" <webwork:if test="parameters['enabled'] == 'true'">style="display:none"</webwork:if>>
    <a id="fav_new_disabled_a_<webwork:property value="parameters['fieldId']" />"><img id="fav_disabled_img_<webwork:property value="parameters['fieldId']" />"
                src="<%= request.getContextPath() %>/images/icons/star_grey.gif"
                alt="<webwork:text name="'common.favourites.disabled.' +  parameters['entityType']"/>"
                title="<webwork:text name="'common.favourites.disabled.' +  parameters['entityType']"/>"
                height="16px"
                width="16px"/>
    </a>
</div>

<input id="fav_new_<webwork:property value="parameters['fieldId']" />" name="favourite" type="hidden" value="<webwork:if test="parameters['enabled'] == 'true'">true</webwork:if><webwork:else>false</webwork:else>"/>

<script type="text/javascript" language="JavaScript">
    YAHOO.util.Event.addListener(window, 'load', function() {
        new atlassian.jira.favourite.NewFavouriteControl('<webwork:property value="parameters['fieldId']" />');
    });
</script>

