<%@ page import="com.atlassian.jira.ManagerFactory"%>
<%@ page import="com.atlassian.jira.appconsistency.BuildAndLicenseEventCheck"%>
<%@ page import="com.atlassian.jira.config.properties.APKeys"%>
<%@ page import="com.atlassian.jira.config.properties.ApplicationProperties"%>
<%@ page import="com.atlassian.jira.util.BuildUtils"%>
<%@ page import="com.atlassian.johnson.JohnsonEventContainer"%>
<%@ page import="com.atlassian.johnson.event.Event"%> 
<%@ page import="com.atlassian.johnson.event.EventType"%>
<%@ page import="com.opensymphony.util.TextUtils"%>
<%@ page import="java.util.Collection"%>
<%@ page import="java.util.Iterator" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
%>
<html>
    <head>
        <title><%= ap.getString(APKeys.JIRA_TITLE) %></title>
        <%@ include file="/includes/decorators/stylesheettag.jsp" %>
        <style type="text/css">body {background-color: #ffffff;}</style>
    </head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<meta http-equiv="Refresh" content="30;"/>
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
            <td style="height:10px;font-size:8px;">&nbsp;</td>
            <page:applyDecorator name="jirapanel" >
                <page:param name="title"><webwork:text name="'system.error.access.constraints.title'"/></page:param>
                <page:param name="width">80%</page:param>
                <page:param name="action">DeleteGroup.jspa</page:param>
                <page:param name="submitName"><webwork:text name="'common.words.delete'"/></page:param>
                <%
                    JohnsonEventContainer appEventContainer = JohnsonEventContainer.get(pageContext.getServletContext());
                    //if there are Events outstanding then display them in a table
                    if (appEventContainer.hasEvents() ) {
                %>
                    <page:param name="description">
                        <font color="#cc0000"><webwork:text name="'system.error.access.constrinats.desc'"/></font>
                        <br/>
                    </page:param>
                    <br/>
                    <table class="grid" width="100%" bgcolor="#ffffff">

                        <tr bgcolor="#f0f0f0">
                            <td class="colHeaderLink" width="40%">
                                <b><webwork:text name="'common.words.description'"/></b>
                            </td>
                            <td class="colHeaderLink" nowrap>
                                <b><webwork:text name="'common.words.time'"/></b>
                            </td>
                            <td class="colHeaderLink">
                                <b><webwork:text name="'common.words.level'"/></b>
                            </td>
                            <td class="colHeaderLink" width="40%">
                                <b><webwork:text name="'common.words.exception'"/></b>
                            </td>
                        </tr>

                        <%
                            com.atlassian.jira.web.util.ExternalLinkUtil externalLinkUtil = com.atlassian.jira.web.util.ExternalLinkUtilImpl.getInstance();
                            Collection events  = appEventContainer.getEvents();
                            for (Iterator iterator = events.iterator(); iterator.hasNext();)
                            {
                                Event event = (Event) iterator.next();
                                %>
                        <tr bgcolor="#ffffff">
                            <td bgcolor="#fffff0">
                            <% if (EventType.get("export-illegal-xml").equals(event.getKey())) { %>
                                <webwork:component template="help.jsp" name="'autoexport'"><webwork:param name="'helpURLFragment'"/></webwork:component><br/>
                            <% } %>
                            <%= event.getDesc() %><br/>
                            <% if (event.hasProgress()) {%>
                                <br/><webwork:text name="'system.error.progress.completed'">
                                    <webwork:param name="value0"><%=event.getProgress()%></webwork:param>
                                </webwork:text>
                            <%}%>
                            <% if (EventType.get(BuildAndLicenseEventCheck.STANDARD_IN_ENTERPRISE).equals(event.getKey()) ||
                                    EventType.get(BuildAndLicenseEventCheck.STANDARD_IN_PROFESSIONAL).equals(event.getKey()) ||
                                    EventType.get(BuildAndLicenseEventCheck.PROFESSIONAL_IN_ENTERPRISE).equals(event.getKey()))
                               { %><p>
                                <br/><a href="<%= request.getContextPath() %>/secure/SetupLicense!default.jspa"><webwork:text name="'system.error.edit.license'"/></a>
                            <% }
                               else if (EventType.get(BuildAndLicenseEventCheck.ENTERPRISE_IN_PROFESSIONAL).equals(event.getKey()))
                               { %>
                                <br/><webwork:text name="'system.error.downgrade.enterprise.data.to.professional'">
                                    <webwork:param name="value0"><a href="<%= externalLinkUtil.getProperty("external.link.jira.enterprise.to.pro", BuildUtils.getVersion())%>"></webwork:param>
                                    <webwork:param name="value1"></a></webwork:param>
                                </webwork:text>
                            <% }
                               else if (EventType.get(BuildAndLicenseEventCheck.ENTERPRISE_IN_STANDARD).equals(event.getKey()))
                               { %>
                                <br/><webwork:text name="'system.error.downgrade.enterprise.data.to.standard'">
                                    <webwork:param name="value0"><a href="<%= externalLinkUtil.getProperty("external.link.jira.enterprise.to.standard", BuildUtils.getVersion())%>"></webwork:param>
                                    <webwork:param name="value1"></a></webwork:param>
                                </webwork:text>
                            <% }
                               else if (EventType.get(BuildAndLicenseEventCheck.PROFESSIONAL_IN_STANDARD).equals(event.getKey()))
                               { %>
                                <br/><webwork:text name="'system.error.downgrade.professional.data.to.standard'">
                                    <webwork:param name="value0"><a href="<%= externalLinkUtil.getProperty("external.link.jira.pro.to.standard", BuildUtils.getVersion())%>"></webwork:param>
                                    <webwork:param name="value1"></a></webwork:param>
                                </webwork:text>
                            <% }
                                else if (EventType.get("license-region-mismatch").equals(event.getKey()))
                               { %>
                               <br/><a href="<%= request.getContextPath() %>/secure/ConfirmInstallationWithLicense!default.jspa"><webwork:text name="'system.error.edit.license'"/></a>
                            <% }
                               else if (EventType.get("license-too-old").equals(event.getKey()))
                               { %>
                               <br/><a href="<%= request.getContextPath() %>/secure/ConfirmNewInstallationWithOldLicense!default.jspa"><webwork:text name="'system.error.edit.license.or.evaluate'"/></a>
                            <% }
                               else if (EventType.get("export-illegal-xml").equals(event.getKey()))
                               { %>
                               <br/><a href="<%= request.getContextPath() %>/secure/CleanData!default.jspa"><webwork:text name="'system.error.clean.characters.from.database'"/></a><br/>
                               <webwork:text name="'system.error.disable.export.on.upgrade.desc'">
                                   <webwork:param name="value0"><b></webwork:param>
                                   <webwork:param name="value1"></b></webwork:param>
                               </webwork:text> &nbsp;
                            <% }
                               else if (EventType.get("index-lock-already-exists").equals(event.getKey()))
                               { %>
                                <p>
                                    <webwork:text name="'system.error.unexpected.index.lock.found.desc1'"/>
                                    <br/>
                                    <br/>
                                    <%
                                       Object lockFiles = event.getAttribute("lockfiles");
                                       if (lockFiles != null)
                                       {
                                           out.println(lockFiles);
                                       }
                                    %>
                                    <br/>
                                    <br/>
                                    <webwork:text name="'system.error.unexpected.index.lock.found.desc2'"/>
                                </p>
                                <p>
                                    <webwork:text name="'system.error.unexpected.index.lock.found.desc3'">
                                        <webwork:param name="value0"><strong></webwork:param>
                                        <webwork:param name="value1"></strong></webwork:param>
                                    </webwork:text>
                                </p>
                            <% }
                               else if (EventType.get("upgrade").equals(event.getKey()))
                               {
                                   String exportFilePath = ManagerFactory.getUpgradeManager().getExportFilePath();
                                   if (TextUtils.stringSet(exportFilePath))
                                   {
                                   %>
                                   <br/>
                                    <webwork:text name="'system.error.data.before.upgrade.exported.to'">
                                        <webwork:param name="value0"><%= exportFilePath %></webwork:param>
                                    </webwork:text>
                                <% } %>
                            <% } %>
                                <!-- (<webwork:text name="'system.error.type'">
                                        <webwork:param name="value0"><%= event.getKey().getType() %></webwork:param>
                                    </webwork:text>) -->

                            </td>
                            <td nowrap><%=event.getDate()%></td>
                            <td nowrap><%=event.getLevel().getLevel()%> </td>
                            <td><pre><%= event.getException() == null ? "" : event.getException() %></pre></td>
                        </tr>
                        <% } %>
                    </table>
                    <br/>
                <% } else { %>
                    <page:param name="description">
                        <p><webwork:text name="'system.error.no.problems.accessing.jira'"/></p>
                        <p><img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height="8" width="8" border="0" align="absmiddle" alt="">
                            <a href="<%=request.getContextPath()%>/secure/Dashboard.jspa"><webwork:text name="'system.error.go.to.dashboard'"/></a></p>
                    </page:param>
                 <% } %>
            </page:applyDecorator>
        </tr>
    </table>
    </body>
</html>
