<%@ page import="com.atlassian.jira.ComponentManager"%>
<%@ page import="com.atlassian.jira.plugin.webfragment.model.JiraHelper"%>
<%@ page import="com.atlassian.jira.web.component.webfragment.WebFragmentWebComponent"%>
<%@ page import="com.atlassian.util.profiling.UtilTimerStack"%>
<%@ page import="com.atlassian.jira.plugin.webfragment.model.VersionHelper" %>
<%@ page import="com.atlassian.jira.plugin.versionpanel.VersionContext" %>
<%@ page import="com.atlassian.jira.web.component.webfragment.PresetFiltersLayoutBean" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<html>
<head>
	<title><webwork:text name="'browseversion.title'" /></title>
	<meta name="decorator" content="navigator" />
</head>
<body>
<webwork:property value="/versionContext" id="versionContext">
<table cellpadding="4" cellspacing="0" border="0" width="100%" bgcolor="#bbbbbb" style="border-bottom: 1px solid #bbb;">
<tr>
	<td bgcolor="#f0f0f0" colspan="2">
		<h3 class="formtitle">
            <a href="<%= request.getContextPath() %>/secure/BrowseProjects.jspa" title="<webwork:text name="'browseprojects.all.projects.title'" />"><webwork:text name="'browseprojects.all.projects'" /></a>
            :
            <a href="<%= request.getContextPath() %>/browse/<webwork:property value="selectedProjectObject/key" />" title="<webwork:text name="'browseversion.project.title'"><webwork:param name="value0" value="selectedProjectObject/name" /></webwork:text>"><webwork:property value="selectedProjectObject/name" /></a>
            :
            <webwork:property value="versionContext/version/name" /> <span class="small">(<webwork:text name="versionContext/i18nKey"/>)</span>
        </h3>
	</td>
</tr>
</table>

<table cellpadding="10" cellspacing="0" border="0" width="100%" bgcolor="#ffffff">
<tr>
	<td bgcolor="#ffffff" width="70%" valign="top">
        <webwork:if test="versionContext/version/releaseDate != null">
            <b><webwork:text name="'version.releasedate'" />:</b>
            <webwork:property value="/outlookDate/formatDMY(versionContext/version/releaseDate)" escape="false" />
            <br/>
        </webwork:if>
        <webwork:if test="versionContext/version/description != null && versionContext/version/description/length > 0">
            <b><webwork:text name="'common.concepts.description'" />:</b>
            <webwork:property value="versionContext/version/description"/>
            <br/>
        </webwork:if>
        <%-- MICROFORMATS - start --%>
        <%-- only display if it has a release date set, otherwise it makes no sense to have a hCalendar here --%>
        <webwork:if test="versionContext/version/releaseDate != null">
            <span class="mf-hidden vevent">
                <span class="summary"><webwork:property value="versionContext/version/name" escape="false" /></span>
                <span class="description"><webwork:property value="versionContext/version/description" escape="false" /></span>
                <span class="dtstart dtend"><webwork:property value="/outlookDate/formatIso8601(versionContext/version/releaseDate)" /></span>
            </span>
        </webwork:if>
       <%-- MICROFORMATS - end --%>
        <%
            VersionContext context = (VersionContext) pageContext.getAttribute("versionContext");
            WebFragmentWebComponent webFragment = (WebFragmentWebComponent) ComponentManager.getComponentInstanceOfType(WebFragmentWebComponent.class);
            JiraHelper jiraHelper = new VersionHelper(request, context);
        %>
        <br/>
        <br/>
        <jsp:include page="/includes/panels/browser/versiontabpanels.jsp"/>
	</td>

	<td bgcolor="#fffff0" width="30%" valign="top" nowrap style="border-left: 1px solid #bbb;">
        <%-- these styles are used by the webfragment below --%>
        <style type="text/css">
            .presetfiltertable { width: 90%}
            .presetfilter {}
        </style>
        <%
            UtilTimerStack.push("Rendering Preset Filters for browse project");
            if (webFragment.hasDisplayableItems("system.preset.filters", jiraHelper))
            {
        %>
        <p><h3 class="formtitle"><webwork:text name="'common.concepts.presetfilters'" /></h3>
        <%= webFragment.getHtml("templates/plugins/webfragments/system-preset-filters.vm", "system.preset.filters", jiraHelper, new PresetFiltersLayoutBean()) %>
        <%
            }
            UtilTimerStack.pop("Rendering Preset Filters for browse project");
        %>

        <jsp:include page="/includes/panels/browser/openissues-fixforversion.jsp" />
	</td>
</webwork:property>
</tr></table>
</body>
</html>
