<%@ page contentType="text/css" %><% response.setContentType("text/css"); %>
<%@ page import="com.atlassian.jira.ManagerFactory, com.atlassian.jira.config.properties.LookAndFeelBean" %>
<% LookAndFeelBean lookAndFeel = LookAndFeelBean.getInstance(ManagerFactory.getApplicationProperties()); %>
.pagetitle { color: <%= lookAndFeel.getTextHeadingColour() %>; }
.formtitle { color: <%= lookAndFeel.getTextHeadingColour() %>; }
.bluetext { color: <%= lookAndFeel.getTextHeadingColour() %>; }
.toptext, .toptext a { color: <%= lookAndFeel.getTopTxtColour() %>; }
.portletLoginHeader { color: <%= lookAndFeel.getMenuTxtColour() %>; background-color: <%= lookAndFeel.getMenuBackgroundColour() %>}
.bgBorder {border:1px <%= lookAndFeel.getTopBackgroundColour()%> solid; }
#filterFormHeader, .leftFormHeader { border-bottom-color: <%= lookAndFeel.getMenuBackgroundColour() %>; }
#filterForm .tableUnderline { border-bottom-color: <%= lookAndFeel.getMenuBackgroundColour() %>; }

<%--

These are the new JIRA header classes that need to be updated

--%>

#header-top {
    color :  <%= lookAndFeel.getTopTxtColour() %>;
    background-color :  <%= lookAndFeel.getTopBackgroundColour() %>;
    border-bottom-color : <%= lookAndFeel.getTopSeparatorBackgroundColor() %>;
}

#account-options {
    color :  <%= lookAndFeel.getTopTxtColour() %>;
    background-color :  <%= lookAndFeel.getTopBackgroundColour() %>;
}

#account-options li a {
    color :  <%= lookAndFeel.getTopTxtColour() %>;
    background-color :  <%= lookAndFeel.getTopBackgroundColour() %>;
}

#account-options li a:hover, #account-options li a.dropdownmenu:active, #account-options li a.dropdownmenu:focus, #account-options li a.current {
    color: <%= lookAndFeel.getTopTextHighlightColor() %>;
    background-color: <%= lookAndFeel.getTopHighlightColor() %>;
}


#menu {
     color: <%= lookAndFeel.getMenuTxtColour() %>;
     background-color: <%= lookAndFeel.getMenuBackgroundColour() %>;
}

#menuspacer {
    background-color:<%= lookAndFeel.getMenuHighlightColour() %>;
}


#main-nav li a:link, #main-nav li a:visited {
     color: <%= lookAndFeel.getMenuTxtColour() %>;
     background-color: <%= lookAndFeel.getMenuBackgroundColour() %>;
}

#main-nav li a:hover, #main-nav li a:active, #main-nav li a:focus, #main-nav li a.current
{
    color: <%= lookAndFeel.getMenuTextHighlightColour() %>;
    background-color: <%= lookAndFeel.getMenuHighlightColour() %>;
}

#main-nav li a.selected, #main-nav li a:link.selected, #main-nav li a:visited.selected {
    color: <%= lookAndFeel.getMenuTextHighlightColour() %>;
    background-color: <%= lookAndFeel.getMenuHighlightColour() %>;
}

#menu #quicksearch {
    color: <%= lookAndFeel.getMenuTxtColour() %>;
    background-color: <%= lookAndFeel.getMenuBackgroundColour() %>;
}

div.jira-menubutton {
    background-color: #ffffff;
    color: <%= lookAndFeel.getTextLinkColour() %>;
    border-color: <%= lookAndFeel.getMenuDropDownBorderColor() %>;
}


.jira-menubutton ul li a {
    background-color: #ffffff;
    color: <%= lookAndFeel.getTextLinkColour() %>;
}

.jira-menubutton ul li a:hover,
    .jira-menubutton ul li a:active,
    .jira-menubutton ul li a:focus {
    background-color: <%= lookAndFeel.getTopHighlightColor() %>;
    color: <%= lookAndFeel.getTopTextHighlightColor() %>;
}

#account-options li a.dropdownmenu span, #account-options li a.dropdownmenu:link span, #account-options li a.dropdownmenu:visited span {
    background-image: url( "<%= lookAndFeel.getTopMenuIndicatorImage() %>");
}

span.switch {
    color: <%= lookAndFeel.getTextLinkColour() %>;
}
